Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class XMLNSDecl

    java.lang.Object
      |
      +--org.apache.xalan.templates.XMLNSDecl

public class XMLNSDecl
extends java.lang.Object
implements java.io.Serializable

Represents an xmlns declaration

See Also:
  Serialized Form

Constructor Summary
`XMLNSDecl(java.lang.String prefix, java.lang.String uri, boolean isExcluded)` Constructor XMLNSDecl

Method Summary
`boolean` | `getIsExcluded()` Tell if this declaration should be excluded from the result namespace.
`java.lang.String` | `getPrefix()` Return the prefix.
`java.lang.String` | `getURI()` Return the URI.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLNSDecl

    public XMLNSDecl(java.lang.String prefix,
                     java.lang.String uri,
                     boolean isExcluded)

  Constructor XMLNSDecl
  Parameters:
    `prefix` - non-null reference to prefix, using "" for default namespace.
    `uri` - non-null reference to namespace URI.
    `isExcluded` - true if this namespace declaration should normally be excluded.

Method Detail

### getPrefix

    public java.lang.String getPrefix()

  Return the prefix.
  Returns:
    The prefix that is associated with this URI, or null if the XMLNSDecl is declaring the default namespace.

### getURI

    public java.lang.String getURI()

  Return the URI.
  Returns:
    The URI that is associated with this declaration.

### getIsExcluded

    public boolean getIsExcluded()

  Tell if this declaration should be excluded from the result namespace.
  Returns:
    true if this namespace declaration should normally be excluded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.